# HomeButtonViewModel

#### new Cesium.HomeButtonViewModel(scene, duration)
Widgets/HomeButton/HomeButtonViewModel.js 14

The view model for `HomeButton`.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene instance to use.
`duration` | Number | optional The duration of the camera flight in seconds.

### Members

#### command : Command
Widgets/HomeButton/HomeButtonViewModel.js 58

Gets the Command that is executed when the button is clicked.

#### duration : Number|undefined
Widgets/HomeButton/HomeButtonViewModel.js 72

Gets or sets the the duration of the camera flight in seconds. A value of zero causes the camera to instantly switch to home view. The duration will be computed based on the distance when undefined.

#### scene : Scene
Widgets/HomeButton/HomeButtonViewModel.js 46

Gets the scene to control.

#### tooltip : String
Widgets/HomeButton/HomeButtonViewModel.js 34

Gets or sets the tooltip. This property is observable.